{#
/**
 * @file
 *
 * Default product template.
 *
 * Available variables:
 * - attributes: HTML attributes for the wrapper.
 * - product: The rendered product fields.
 *   Use 'product' to print them all, or print a subset such as
 *   'product.title'. Use the following code to exclude the
 *   printing of a given field:
 *   @code
 *   {{ product|without('title') }}
 *   @endcode
 * - product_entity: The product entity.
 * - product_url: The product URL.
 *
 * @ingroup themeable
 */
#}
 {{ attach_library('corporateplus/share-links') }}


<article{{ attributes.addClass('container') }}>

  <div class="product-share-links">
    <ul>
      <li class="share">
        {{ product.variation_addtoany }}
      </li>
      <li class="print">
        <div class="print">
          <a href="javascript:window.print()" class="print-button">
            <i class="fa fa-print"><span class="sr-only">print</span></i>
          </a>
        </div>
      </li>
      <li class="e-mail">
        <a href="mailto:?subject={{ subject | url_encode(true) }}&amp;body=Link to {{ subject }}: {{ url('entity.commerce_product.canonical', {'commerce_product': product.id}) }}">
          <i class="fa fa-envelope"><span class="sr-only">email</span></i>
        </a>
      </li>
      <li class="compare" id="comparison-button">
        <div class="catalog-compare-link-wrapper" data-id="{{ variation_id }}">
          <a href="{{ product.compare_href|default('/compare/add/') }}{{ variation_id }}" class="use-ajax catalog-compare-link" >
            <span class="catalog-compare-link-text {{ product.compare_class|default('catalog-compare-link-unchecked') }}">
              <span class="text-compare">
                Compare
              </span>
            </span>
          </a>
        </div>
      </li>
    </ul>
  </div>


  <section class="row title-section">
    <div class="col-md-12">
      <h1>{{ product.variation_field_pseudo_title }}</h1>

      {% if product.variation_sinovelen and product.variation_sinovewid %}
        <div class="sink-size">
          <span>Size:</span> {{ product.variation_sinovelen }} <span>x</span> {{ product.variation_sinovewid }}
        </div>
      {% endif %}

      {{ product.variation_description }}
    </div>
  </section>

  <section class="row top-section section-bordered-bottom">
    <div class="col-md-6 left-product">
      <div id="gallery-wrapper-1">
          <div class="column small-11 small-centered">
              {{ product.variation_field_dam_image }}
          </div>
      </div>
      <div class="sku">{{ product.variation_sku.0 }}</div>
      <div class="mobile-bt-wrapper call-mobile-app"><a class="call-mobile-app-link">View in room</a></div>
    </div>
    <div class="col-md-6 right-product">
      {{ product.variations }}
      <span class="right-sku">Product Code: </span>{{ product.variation_sku }}

{#      <div class="price">#}
{#        <span class="main-price"></span>#}
{#        <span class="secondary-price"></span>#}
{#      </div>#}
      <div class="hidden">
{#        {{ product.variation_hideprice }}#}
{#        {{ product.variation_price }}#}
{#        {{ product.variation_list_price }}#}
        {{ product.variation_ecomurl }}
        {{ product.variation_ecomlabel }}
      </div>
      <div class="text-center button">

        {% if variation_ecom_label %}
          <a href="/product-where-buy/{{ variation_id }}" class="product-where-buy-button use-ajax">{{ variation_ecom_label }}</a>
        {% endif %}

      </div>

    </div>
  </section>

{#  here can be gallery#}
  <div class="gallery-section-wrapper">{{ gallery }}</div>



  <section class="row specs-section section-bordered-bottom">
    {{ accordion_text }}

    <div class="panel-group product-accordion" id="product-accordion" role="tablist" aria-multiselectable="true">
      {% if key_features_block %}
        <div class="panel panel-default">
          <div class="panel-heading panel-heading--trigger-icon" role="tab" id="headingOne">
            <div class="panel-title">
              <a class="collapsed" data-toggle="collapse" data-parent="#product-accordion" href="#collapseOne"
                 aria-expanded="false" aria-controls="collapseOne">{{ key_features_title }}</a>
            </div>
          </div>
          <div id="collapseOne" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingOne">
            <div class="panel-body">{{ key_features_block }}</div>
          </div>
        </div>
      {% endif %}

      {% if technical_specs_block %}
      <div class="panel panel-default">
        <div class="panel-heading panel-heading--trigger-icon" role="tab" id="headingTwo">
          <div class="panel-title">
            <a class="collapsed" data-toggle="collapse" data-parent="#product-accordion" href="#collapseTwo"
               aria-expanded="false" aria-controls="collapseTwo">{{ technical_specs_title }}</a>
          </div>
        </div>
        <div id="collapseTwo" class="panel-collapse collapse" role="tabpanel" aria-labelledby="headingTwo">
          <div class="panel-body">{{ technical_specs_block }}</div>
        </div>
      </div>
      {% endif %}

      {% if product.variation_field_energy_label_url.0 %}
      <div class="panel panel-default">
        <div class="panel-heading panel-heading--trigger-icon energy-label">
          <div class="panel-title">
            <div class="url-for-href">{{ product.variation_field_energy_label_url }}</div>
            <a class="collapsed" href="" target="_blank" aria-expanded="false" rel="nofollow">{{ energy_rating }}</a>
          </div>
        </div>
      </div>
      {% endif %}

      {% if product.variation_field_sheet_url.0 %}
      <div class="panel panel-default">
        <div class="panel-heading panel-heading--trigger-icon product-fiche">
          <div class="panel-title">
            <div class="url-for-href">{{ product.variation_field_sheet_url }}</div>
            <a class="collapsed" href=""  target="_blank"
               aria-expanded="false" rel="nofollow">
              {{ product_fiche ?: data_sheet }}
            </a>
          </div>
        </div>
      </div>
      {% endif %}

      <div class="panel panel-default panel-user-guide">
        <div class="panel-heading panel-heading--trigger-icon product-user-guide">
          <div class="panel-title">
            <div class="url-for-href user-guide-url">{{ user_guide_url }}</div>
            <a class="collapsed" target="_blank" href="" aria-expanded="false">{{ user_guide }}</a>
          </div>
        </div>
      </div>

    </div>
  </section>
</article>

<div class="bottom-navigation">
  {{ bottom_text }}
</div>
